# Uses of Interface
com.sun.mirror.type.DeclaredType

Packages that use DeclaredType
Package
Description
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of DeclaredType in com.sun.mirror.type

Subinterfaces of DeclaredType in com.sun.mirror.type
Modifier and Type
Interface
Description
`interface`
`AnnotationType`
Represents an annotation type.
`interface`
`ClassType`
Represents a class type.
`interface`
`EnumType`
Represents an enum type.
`interface`
`InterfaceType`
Represents an interface type.
Methods in com.sun.mirror.type that return DeclaredType
Modifier and Type
Method
Description
`DeclaredType`
DeclaredType.`getContainingType()`
Returns the type that contains this type as a member.

## Uses of DeclaredType in com.sun.mirror.util

Methods in com.sun.mirror.util that return DeclaredType
Modifier and Type
Method
Description
`DeclaredType`
Types.`getDeclaredType(TypeDeclaration decl, TypeMirror... typeArgs)`
Returns the type corresponding to a type declaration and actual type arguments.
`DeclaredType`
Types.`getDeclaredType(DeclaredType containing, TypeDeclaration decl, TypeMirror... typeArgs)`
Returns the type corresponding to a type declaration and actual arguments, given a containing type of which it is a member.
Methods in com.sun.mirror.util with parameters of type DeclaredType
Modifier and Type
Method
Description
`DeclaredType`
Types.`getDeclaredType(DeclaredType containing, TypeDeclaration decl, TypeMirror... typeArgs)`
Returns the type corresponding to a type declaration and actual arguments, given a containing type of which it is a member.
`void`
SimpleTypeVisitor.`visitDeclaredType(DeclaredType t)`
Visits a declared type.
`void`
TypeVisitor.`visitDeclaredType(DeclaredType t)`
Visits a declared type.